package ru.dbotthepony.kstarbound.world.entities.api

import ru.dbotthepony.kstarbound.math.vector.Vector2d
import ru.dbotthepony.kstarbound.world.entities.ActorEntity
import ru.dbotthepony.kstarbound.world.entities.IAnchorState

interface LoungeableEntity {
	val sitPositions: List<Vector2d>

	/**
	 * Determines entities currently lounging at specified anchor index
	 */
	fun entitiesLoungingIn(index: Int): List<ActorEntity>

	/**
	 * Returns anchor information with given index, or null if index is invalid
	 */
	fun anchor(index: Int): IAnchorState?
}
